%define ocamlpck  alsa

Name:          ocaml-alsa
Version:       0.2.1
Release:       2mamba
Summary:       OCaml bindings to the alsa library
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://savonet.sourceforge.net/
Source:        http://sourceforge.net/projects/savonet/files/ocaml-alsa/%{version}/ocaml-alsa-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
## AUTOBUILDREQ-END
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: pkg-config
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME: checking for caml/threads.h... no

%description
OCaml bindings to the alsa library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%prep
%setup -q

%build
./configure \
   --prefix=%{_prefix} \
   --disable-ldconf

make
make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}$(ocamlfind printconf destdir)
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs

install -d $OCAMLFIND_DESTDIR/%{ocamlpck}
install -d $OCAMLFIND_DESTDIR/stublibs

make install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/META
%{_libdir}/ocaml/%{ocamlpck}/*.cma
%{_libdir}/ocaml/%{ocamlpck}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES README
%doc doc/html/
%doc examples/

%changelog
* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.1-2mamba
- install dll libs in stublibs because this directory is known by ocaml ans so we do not need to modify ld.conf

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.1-1mamba
- package created by autospec
